import { SVGSelection } from "./Charting";
import { ScaleContinuousNumeric } from "d3-scale";
interface YAxisConfig {
    color: string;
    label: string;
    maxTickDigits: number;
}
export declare class YAxis {
    private config;
    private $axis;
    private $label;
    private axis;
    private scale;
    constructor(config: YAxisConfig);
    setConfig(config: YAxisConfig): void;
    getSelection(): SVGSelection<any>;
    getWidth(): number;
    setScale(scaleY: ScaleContinuousNumeric<number, number>): void;
    draw(): void;
    private updateTickFormat;
}
export declare function maxTickIntegerPartLength(minY: number, maxY: number, numberOfTicks: number): number;
export {};
